Makefile.in revision 290001
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90check_PROGRAMS = sec-2853$(EXEEXT)
91@NTP_CROSSCOMPILE_FALSE@am__append_1 = $(check_PROGRAMS)
92subdir = tests/sec-2853
93ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
94am__aclocal_m4_deps = $(top_srcdir)/sntp/libopts/m4/libopts.m4 \
95	$(top_srcdir)/sntp/libopts/m4/stdnoreturn.m4 \
96	$(top_srcdir)/sntp/m4/ax_c99_struct_init.m4 \
97	$(top_srcdir)/sntp/m4/define_dir.m4 \
98	$(top_srcdir)/sntp/m4/hms_search_lib.m4 \
99	$(top_srcdir)/sntp/m4/libtool.m4 \
100	$(top_srcdir)/sntp/m4/ltoptions.m4 \
101	$(top_srcdir)/sntp/m4/ltsugar.m4 \
102	$(top_srcdir)/sntp/m4/ltversion.m4 \
103	$(top_srcdir)/sntp/m4/lt~obsolete.m4 \
104	$(top_srcdir)/sntp/m4/ntp_cacheversion.m4 \
105	$(top_srcdir)/sntp/m4/ntp_compiler.m4 \
106	$(top_srcdir)/sntp/m4/ntp_crosscompile.m4 \
107	$(top_srcdir)/sntp/m4/ntp_crypto_rand.m4 \
108	$(top_srcdir)/sntp/m4/ntp_debug.m4 \
109	$(top_srcdir)/sntp/m4/ntp_dir_sep.m4 \
110	$(top_srcdir)/sntp/m4/ntp_facilitynames.m4 \
111	$(top_srcdir)/sntp/m4/ntp_googletest.m4 \
112	$(top_srcdir)/sntp/m4/ntp_ipv6.m4 \
113	$(top_srcdir)/sntp/m4/ntp_lib_m.m4 \
114	$(top_srcdir)/sntp/m4/ntp_libevent.m4 \
115	$(top_srcdir)/sntp/m4/ntp_libntp.m4 \
116	$(top_srcdir)/sntp/m4/ntp_lineeditlibs.m4 \
117	$(top_srcdir)/sntp/m4/ntp_locinfo.m4 \
118	$(top_srcdir)/sntp/m4/ntp_openssl.m4 \
119	$(top_srcdir)/sntp/m4/ntp_pkg_config.m4 \
120	$(top_srcdir)/sntp/m4/ntp_problemtests.m4 \
121	$(top_srcdir)/sntp/m4/ntp_prog_cc.m4 \
122	$(top_srcdir)/sntp/m4/ntp_rlimit.m4 \
123	$(top_srcdir)/sntp/m4/ntp_sntp.m4 \
124	$(top_srcdir)/sntp/m4/ntp_unitytest.m4 \
125	$(top_srcdir)/sntp/m4/ntp_ver_suffix.m4 \
126	$(top_srcdir)/sntp/m4/ntp_vpathhack.m4 \
127	$(top_srcdir)/sntp/m4/openldap-thread-check.m4 \
128	$(top_srcdir)/sntp/m4/openldap.m4 \
129	$(top_srcdir)/sntp/m4/os_cflags.m4 \
130	$(top_srcdir)/sntp/m4/snprintf.m4 \
131	$(top_srcdir)/sntp/m4/version.m4 $(top_srcdir)/configure.ac
132am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
133	$(ACLOCAL_M4)
134DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
135mkinstalldirs = $(install_sh) -d
136CONFIG_HEADER = $(top_builddir)/config.h
137CONFIG_CLEAN_FILES =
138CONFIG_CLEAN_VPATH_FILES =
139am__objects_1 =
140am_sec_2853_OBJECTS = run-sec-2853.$(OBJEXT) sec-2853.$(OBJEXT) \
141	$(am__objects_1)
142sec_2853_OBJECTS = $(am_sec_2853_OBJECTS)
143sec_2853_LDADD = $(LDADD)
144am__DEPENDENCIES_1 =
145sec_2853_DEPENDENCIES = $(top_builddir)/sntp/unity/libunity.a \
146	$(top_builddir)/ntpd/rc_cmdlength.o $(am__DEPENDENCIES_1) \
147	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
148	$(am__DEPENDENCIES_1)
149AM_V_lt = $(am__v_lt_@AM_V@)
150am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
151am__v_lt_0 = --silent
152am__v_lt_1 = 
153AM_V_P = $(am__v_P_@AM_V@)
154am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
155am__v_P_0 = false
156am__v_P_1 = :
157AM_V_GEN = $(am__v_GEN_@AM_V@)
158am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
159am__v_GEN_0 = @echo "  GEN     " $@;
160am__v_GEN_1 = 
161AM_V_at = $(am__v_at_@AM_V@)
162am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
163am__v_at_0 = @
164am__v_at_1 = 
165DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
166depcomp = $(SHELL) $(top_srcdir)/sntp/libevent/build-aux/depcomp
167am__depfiles_maybe = depfiles
168am__mv = mv -f
169COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
170	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
171LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
172	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
173	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
174	$(AM_CFLAGS) $(CFLAGS)
175AM_V_CC = $(am__v_CC_@AM_V@)
176am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
177am__v_CC_0 = @echo "  CC      " $@;
178am__v_CC_1 = 
179CCLD = $(CC)
180LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
181	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
182	$(AM_LDFLAGS) $(LDFLAGS) -o $@
183AM_V_CCLD = $(am__v_CCLD_@AM_V@)
184am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
185am__v_CCLD_0 = @echo "  CCLD    " $@;
186am__v_CCLD_1 = 
187SOURCES = $(sec_2853_SOURCES)
188DIST_SOURCES = $(sec_2853_SOURCES)
189am__can_run_installinfo = \
190  case $$AM_UPDATE_INFO_DIR in \
191    n|no|NO) false;; \
192    *) (install-info --version) >/dev/null 2>&1;; \
193  esac
194am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
195# Read a list of newline-separated strings from the standard input,
196# and print each of them once, without duplicates.  Input order is
197# *not* preserved.
198am__uniquify_input = $(AWK) '\
199  BEGIN { nonempty = 0; } \
200  { items[$$0] = 1; nonempty = 1; } \
201  END { if (nonempty) { for (i in items) print i; }; } \
202'
203# Make sure the list of sources is unique.  This is necessary because,
204# e.g., the same source file might be shared among _SOURCES variables
205# for different programs/libraries.
206am__define_uniq_tagged_files = \
207  list='$(am__tagged_files)'; \
208  unique=`for i in $$list; do \
209    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
210  done | $(am__uniquify_input)`
211ETAGS = etags
212CTAGS = ctags
213am__tty_colors_dummy = \
214  mgn= red= grn= lgn= blu= brg= std=; \
215  am__color_tests=no
216am__tty_colors = { \
217  $(am__tty_colors_dummy); \
218  if test "X$(AM_COLOR_TESTS)" = Xno; then \
219    am__color_tests=no; \
220  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
221    am__color_tests=yes; \
222  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
223    am__color_tests=yes; \
224  fi; \
225  if test $$am__color_tests = yes; then \
226    red='[0;31m'; \
227    grn='[0;32m'; \
228    lgn='[1;32m'; \
229    blu='[1;34m'; \
230    mgn='[0;35m'; \
231    brg='[1m'; \
232    std='[m'; \
233  fi; \
234}
235am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
236am__vpath_adj = case $$p in \
237    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
238    *) f=$$p;; \
239  esac;
240am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
241am__install_max = 40
242am__nobase_strip_setup = \
243  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
244am__nobase_strip = \
245  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
246am__nobase_list = $(am__nobase_strip_setup); \
247  for p in $$list; do echo "$$p $$p"; done | \
248  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
249  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
250    if (++n[$$2] == $(am__install_max)) \
251      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
252    END { for (dir in files) print dir, files[dir] }'
253am__base_list = \
254  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
255  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
256am__uninstall_files_from_dir = { \
257  test -z "$$files" \
258    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
259    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
260         $(am__cd) "$$dir" && rm -f $$files; }; \
261  }
262am__recheck_rx = ^[ 	]*:recheck:[ 	]*
263am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
264am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
265# A command that, given a newline-separated list of test names on the
266# standard input, print the name of the tests that are to be re-run
267# upon "make recheck".
268am__list_recheck_tests = $(AWK) '{ \
269  recheck = 1; \
270  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
271    { \
272      if (rc < 0) \
273        { \
274          if ((getline line2 < ($$0 ".log")) < 0) \
275	    recheck = 0; \
276          break; \
277        } \
278      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
279        { \
280          recheck = 0; \
281          break; \
282        } \
283      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
284        { \
285          break; \
286        } \
287    }; \
288  if (recheck) \
289    print $$0; \
290  close ($$0 ".trs"); \
291  close ($$0 ".log"); \
292}'
293# A command that, given a newline-separated list of test names on the
294# standard input, create the global log from their .trs and .log files.
295am__create_global_log = $(AWK) ' \
296function fatal(msg) \
297{ \
298  print "fatal: making $@: " msg | "cat >&2"; \
299  exit 1; \
300} \
301function rst_section(header) \
302{ \
303  print header; \
304  len = length(header); \
305  for (i = 1; i <= len; i = i + 1) \
306    printf "="; \
307  printf "\n\n"; \
308} \
309{ \
310  copy_in_global_log = 1; \
311  global_test_result = "RUN"; \
312  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
313    { \
314      if (rc < 0) \
315         fatal("failed to read from " $$0 ".trs"); \
316      if (line ~ /$(am__global_test_result_rx)/) \
317        { \
318          sub("$(am__global_test_result_rx)", "", line); \
319          sub("[ 	]*$$", "", line); \
320          global_test_result = line; \
321        } \
322      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
323        copy_in_global_log = 0; \
324    }; \
325  if (copy_in_global_log) \
326    { \
327      rst_section(global_test_result ": " $$0); \
328      while ((rc = (getline line < ($$0 ".log"))) != 0) \
329      { \
330        if (rc < 0) \
331          fatal("failed to read from " $$0 ".log"); \
332        print line; \
333      }; \
334      printf "\n"; \
335    }; \
336  close ($$0 ".trs"); \
337  close ($$0 ".log"); \
338}'
339# Restructured Text title.
340am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
341# Solaris 10 'make', and several other traditional 'make' implementations,
342# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
343# by disabling -e (using the XSI extension "set +e") if it's set.
344am__sh_e_setup = case $$- in *e*) set +e;; esac
345# Default flags passed to test drivers.
346am__common_driver_flags = \
347  --color-tests "$$am__color_tests" \
348  --enable-hard-errors "$$am__enable_hard_errors" \
349  --expect-failure "$$am__expect_failure"
350# To be inserted before the command running the test.  Creates the
351# directory for the log if needed.  Stores in $dir the directory
352# containing $f, in $tst the test, in $log the log.  Executes the
353# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
354# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
355# will run the test scripts (or their associated LOG_COMPILER, if
356# thy have one).
357am__check_pre = \
358$(am__sh_e_setup);					\
359$(am__vpath_adj_setup) $(am__vpath_adj)			\
360$(am__tty_colors);					\
361srcdir=$(srcdir); export srcdir;			\
362case "$@" in						\
363  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
364    *) am__odir=.;; 					\
365esac;							\
366test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
367  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
368if test -f "./$$f"; then dir=./;			\
369elif test -f "$$f"; then dir=;				\
370else dir="$(srcdir)/"; fi;				\
371tst=$$dir$$f; log='$@'; 				\
372if test -n '$(DISABLE_HARD_ERRORS)'; then		\
373  am__enable_hard_errors=no; 				\
374else							\
375  am__enable_hard_errors=yes; 				\
376fi; 							\
377case " $(XFAIL_TESTS) " in				\
378  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
379    am__expect_failure=yes;;				\
380  *)							\
381    am__expect_failure=no;;				\
382esac; 							\
383$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
384# A shell command to get the names of the tests scripts with any registered
385# extension removed (i.e., equivalently, the names of the test logs, with
386# the '.log' extension removed).  The result is saved in the shell variable
387# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
388# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
389# since that might cause problem with VPATH rewrites for suffix-less tests.
390# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
391am__set_TESTS_bases = \
392  bases='$(TEST_LOGS)'; \
393  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
394  bases=`echo $$bases`
395RECHECK_LOGS = $(TEST_LOGS)
396AM_RECURSIVE_TARGETS = check recheck
397TEST_SUITE_LOG = test-suite.log
398TEST_EXTENSIONS = @EXEEXT@ .test
399LOG_DRIVER = $(SHELL) \
400	$(top_srcdir)/sntp/libevent/build-aux/test-driver
401LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
402am__set_b = \
403  case '$@' in \
404    */*) \
405      case '$*' in \
406        */*) b='$*';; \
407          *) b=`echo '$@' | sed 's/\.log$$//'`; \
408       esac;; \
409    *) \
410      b='$*';; \
411  esac
412am__test_logs1 = $(TESTS:=.log)
413am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
414TEST_LOGS = $(am__test_logs2:.test.log=.log)
415TEST_LOG_DRIVER = $(SHELL) \
416	$(top_srcdir)/sntp/libevent/build-aux/test-driver
417TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
418	$(TEST_LOG_FLAGS)
419am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depsver.mf \
420	$(top_srcdir)/includes.mf \
421	$(top_srcdir)/sntp/libevent/build-aux/depcomp \
422	$(top_srcdir)/sntp/libevent/build-aux/test-driver
423DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
424ACLOCAL = @ACLOCAL@
425ALLOCA = @ALLOCA@
426AMTAR = @AMTAR@
427AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
428AR = @AR@
429AUTOCONF = @AUTOCONF@
430AUTOHEADER = @AUTOHEADER@
431AUTOMAKE = @AUTOMAKE@
432AWK = @AWK@
433BUILD_THREAD = @BUILD_THREAD@
434CALC_TICKADJ_DB = @CALC_TICKADJ_DB@
435CALC_TICKADJ_DL = @CALC_TICKADJ_DL@
436CALC_TICKADJ_DS = @CALC_TICKADJ_DS@
437CALC_TICKADJ_MS = @CALC_TICKADJ_MS@
438CALC_TICKADJ_NI = @CALC_TICKADJ_NI@
439CC = @CC@
440CCDEPMODE = @CCDEPMODE@
441CFLAGS = @CFLAGS@
442CFLAGS_LIBEVENT = @CFLAGS_LIBEVENT@
443CFLAGS_NTP = @CFLAGS_NTP@
444CHUTEST = @CHUTEST@
445CONFIG_SHELL = @CONFIG_SHELL@
446CPP = @CPP@
447CPPFLAGS = @CPPFLAGS@
448CPPFLAGS_LIBEVENT = @CPPFLAGS_LIBEVENT@
449CPPFLAGS_NTP = @CPPFLAGS_NTP@
450CXX = @CXX@
451CXXCPP = @CXXCPP@
452CXXDEPMODE = @CXXDEPMODE@
453CXXFLAGS = @CXXFLAGS@
454CYGPATH_W = @CYGPATH_W@
455DCFD = @DCFD@
456DEFS = @DEFS@
457DEPDIR = @DEPDIR@
458DLLTOOL = @DLLTOOL@
459DSYMUTIL = @DSYMUTIL@
460DUMPBIN = @DUMPBIN@
461ECHO_C = @ECHO_C@
462ECHO_N = @ECHO_N@
463ECHO_T = @ECHO_T@
464EDITLINE_LIBS = @EDITLINE_LIBS@
465EGREP = @EGREP@
466EXEEXT = @EXEEXT@
467FGREP = @FGREP@
468GREP = @GREP@
469GTEST_CONFIG = @GTEST_CONFIG@
470GTEST_CPPFLAGS = @GTEST_CPPFLAGS@
471GTEST_CXXFLAGS = @GTEST_CXXFLAGS@
472GTEST_LDFLAGS = @GTEST_LDFLAGS@
473GTEST_LIBS = @GTEST_LIBS@
474HAVE_INLINE = @HAVE_INLINE@
475HAVE_LEAPSMEARINTERVAL = @HAVE_LEAPSMEARINTERVAL@
476HAVE_RLIMIT_MEMLOCK = @HAVE_RLIMIT_MEMLOCK@
477HAVE_RLIMIT_STACK = @HAVE_RLIMIT_STACK@
478INSTALL = @INSTALL@
479INSTALL_DATA = @INSTALL_DATA@
480INSTALL_PROGRAM = @INSTALL_PROGRAM@
481INSTALL_SCRIPT = @INSTALL_SCRIPT@
482INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
483LD = @LD@
484LDADD_LIBEVENT = @LDADD_LIBEVENT@
485LDADD_LIBNTP = @LDADD_LIBNTP@
486LDADD_LIBUTIL = @LDADD_LIBUTIL@
487LDADD_NLIST = @LDADD_NLIST@
488LDADD_NTP = @LDADD_NTP@
489LDFLAGS = @LDFLAGS@
490LDFLAGS_NTP = @LDFLAGS_NTP@
491LIBISC_PTHREADS_NOTHREADS = @LIBISC_PTHREADS_NOTHREADS@
492LIBM = @LIBM@
493LIBOBJS = @LIBOBJS@
494LIBOPTS_CFLAGS = @LIBOPTS_CFLAGS@
495LIBOPTS_DIR = @LIBOPTS_DIR@
496LIBOPTS_LDADD = @LIBOPTS_LDADD@
497LIBPARSE = @LIBPARSE@
498LIBS = @LIBS@
499LIBTOOL = @LIBTOOL@
500LIBTOOL_DEPS = @LIBTOOL_DEPS@
501LIPO = @LIPO@
502LN_S = @LN_S@
503LSCF = @LSCF@
504LTHREAD_LIBS = @LTHREAD_LIBS@
505LTLIBOBJS = @LTLIBOBJS@
506MAKEINFO = @MAKEINFO@
507MAKE_ADJTIMED = @MAKE_ADJTIMED@
508MAKE_CHECK_LAYOUT = @MAKE_CHECK_LAYOUT@
509MAKE_CHECK_Y2K = @MAKE_CHECK_Y2K@
510MAKE_LIBNTPSIM = @MAKE_LIBNTPSIM@
511MAKE_LIBPARSE = @MAKE_LIBPARSE@
512MAKE_LIBPARSE_KERNEL = @MAKE_LIBPARSE_KERNEL@
513MAKE_NTPDSIM = @MAKE_NTPDSIM@
514MAKE_NTPSNMPD = @MAKE_NTPSNMPD@
515MAKE_NTPTIME = @MAKE_NTPTIME@
516MAKE_PARSEKMODULE = @MAKE_PARSEKMODULE@
517MAKE_TICKADJ = @MAKE_TICKADJ@
518MAKE_TIMETRIM = @MAKE_TIMETRIM@
519MANIFEST_TOOL = @MANIFEST_TOOL@
520MANTAGFMT = @MANTAGFMT@
521MKDIR_P = @MKDIR_P@
522NM = @NM@
523NMEDIT = @NMEDIT@
524NTPDATE_DB = @NTPDATE_DB@
525NTPDATE_DL = @NTPDATE_DL@
526NTPDATE_DS = @NTPDATE_DS@
527NTPDATE_MS = @NTPDATE_MS@
528NTPDATE_NI = @NTPDATE_NI@
529NTPDC_DB = @NTPDC_DB@
530NTPDC_DL = @NTPDC_DL@
531NTPDC_DS = @NTPDC_DS@
532NTPDC_MS = @NTPDC_MS@
533NTPDC_NI = @NTPDC_NI@
534NTPDSIM_DB = @NTPDSIM_DB@
535NTPDSIM_DL = @NTPDSIM_DL@
536NTPDSIM_DS = @NTPDSIM_DS@
537NTPDSIM_MS = @NTPDSIM_MS@
538NTPDSIM_NI = @NTPDSIM_NI@
539NTPD_DB = @NTPD_DB@
540NTPD_DL = @NTPD_DL@
541NTPD_DS = @NTPD_DS@
542NTPD_MS = @NTPD_MS@
543NTPD_NI = @NTPD_NI@
544NTPQ_DB = @NTPQ_DB@
545NTPQ_DL = @NTPQ_DL@
546NTPQ_DS = @NTPQ_DS@
547NTPQ_MS = @NTPQ_MS@
548NTPQ_NI = @NTPQ_NI@
549NTPSNMPD_DB = @NTPSNMPD_DB@
550NTPSNMPD_DL = @NTPSNMPD_DL@
551NTPSNMPD_DS = @NTPSNMPD_DS@
552NTPSNMPD_MS = @NTPSNMPD_MS@
553NTPSNMPD_NI = @NTPSNMPD_NI@
554NTPSWEEP_DB = @NTPSWEEP_DB@
555NTPSWEEP_DL = @NTPSWEEP_DL@
556NTPSWEEP_DS = @NTPSWEEP_DS@
557NTPSWEEP_MS = @NTPSWEEP_MS@
558NTPSWEEP_NI = @NTPSWEEP_NI@
559NTPTIME_DB = @NTPTIME_DB@
560NTPTIME_DL = @NTPTIME_DL@
561NTPTIME_DS = @NTPTIME_DS@
562NTPTIME_MS = @NTPTIME_MS@
563NTPTIME_NI = @NTPTIME_NI@
564NTPTRACE_DB = @NTPTRACE_DB@
565NTPTRACE_DL = @NTPTRACE_DL@
566NTPTRACE_DS = @NTPTRACE_DS@
567NTPTRACE_MS = @NTPTRACE_MS@
568NTPTRACE_NI = @NTPTRACE_NI@
569NTP_KEYGEN_DB = @NTP_KEYGEN_DB@
570NTP_KEYGEN_DL = @NTP_KEYGEN_DL@
571NTP_KEYGEN_DS = @NTP_KEYGEN_DS@
572NTP_KEYGEN_MS = @NTP_KEYGEN_MS@
573NTP_KEYGEN_NI = @NTP_KEYGEN_NI@
574NTP_KEYSDIR = @NTP_KEYSDIR@
575NTP_WAIT_DB = @NTP_WAIT_DB@
576NTP_WAIT_DL = @NTP_WAIT_DL@
577NTP_WAIT_DS = @NTP_WAIT_DS@
578NTP_WAIT_MS = @NTP_WAIT_MS@
579NTP_WAIT_NI = @NTP_WAIT_NI@
580OBJDUMP = @OBJDUMP@
581OBJEXT = @OBJEXT@
582OTOOL = @OTOOL@
583OTOOL64 = @OTOOL64@
584PACKAGE = @PACKAGE@
585PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
586PACKAGE_NAME = @PACKAGE_NAME@
587PACKAGE_STRING = @PACKAGE_STRING@
588PACKAGE_TARNAME = @PACKAGE_TARNAME@
589PACKAGE_URL = @PACKAGE_URL@
590PACKAGE_VERSION = @PACKAGE_VERSION@
591PATH_NET_SNMP_CONFIG = @PATH_NET_SNMP_CONFIG@
592PATH_PERL = @PATH_PERL@
593PATH_RUBY = @PATH_RUBY@
594PATH_SEPARATOR = @PATH_SEPARATOR@
595PATH_TEST = @PATH_TEST@
596PERLLIBDIR = @PERLLIBDIR@
597PKG_CONFIG = @PKG_CONFIG@
598POSIX_SHELL = @POSIX_SHELL@
599PROPDELAY = @PROPDELAY@
600PTHREAD_LIBS = @PTHREAD_LIBS@
601RANLIB = @RANLIB@
602SED = @SED@
603SET_MAKE = @SET_MAKE@
604SHELL = @SHELL@
605SNMP_CFLAGS = @SNMP_CFLAGS@
606SNMP_CPPFLAGS = @SNMP_CPPFLAGS@
607SNMP_LIBS = @SNMP_LIBS@
608SNTP = @SNTP@
609SNTP_DB = @SNTP_DB@
610SNTP_DL = @SNTP_DL@
611SNTP_DS = @SNTP_DS@
612SNTP_MS = @SNTP_MS@
613SNTP_NI = @SNTP_NI@
614STDNORETURN_H = @STDNORETURN_H@
615STRIP = @STRIP@
616TESTDCF = @TESTDCF@
617TICKADJ_DB = @TICKADJ_DB@
618TICKADJ_DL = @TICKADJ_DL@
619TICKADJ_DS = @TICKADJ_DS@
620TICKADJ_MS = @TICKADJ_MS@
621TICKADJ_NI = @TICKADJ_NI@
622TIMETRIM_DB = @TIMETRIM_DB@
623TIMETRIM_DL = @TIMETRIM_DL@
624TIMETRIM_DS = @TIMETRIM_DS@
625TIMETRIM_MS = @TIMETRIM_MS@
626TIMETRIM_NI = @TIMETRIM_NI@
627UPDATE_LEAP_DB = @UPDATE_LEAP_DB@
628UPDATE_LEAP_DL = @UPDATE_LEAP_DL@
629UPDATE_LEAP_DS = @UPDATE_LEAP_DS@
630UPDATE_LEAP_MS = @UPDATE_LEAP_MS@
631UPDATE_LEAP_NI = @UPDATE_LEAP_NI@
632VERSION = @VERSION@
633VER_SUFFIX = @VER_SUFFIX@
634YACC = @YACC@
635YFLAGS = @YFLAGS@
636abs_builddir = @abs_builddir@
637abs_srcdir = @abs_srcdir@
638abs_top_builddir = @abs_top_builddir@
639abs_top_srcdir = @abs_top_srcdir@
640ac_ct_AR = @ac_ct_AR@
641ac_ct_CC = @ac_ct_CC@
642ac_ct_CXX = @ac_ct_CXX@
643ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
644am__include = @am__include@
645am__leading_dot = @am__leading_dot@
646am__quote = @am__quote@
647am__tar = @am__tar@
648am__untar = @am__untar@
649bindir = @bindir@
650build = @build@
651build_alias = @build_alias@
652build_cpu = @build_cpu@
653build_os = @build_os@
654build_vendor = @build_vendor@
655builddir = @builddir@
656datadir = @datadir@
657datarootdir = @datarootdir@
658docdir = @docdir@
659dvidir = @dvidir@
660exec_prefix = @exec_prefix@
661host = @host@
662host_alias = @host_alias@
663host_cpu = @host_cpu@
664host_os = @host_os@
665host_vendor = @host_vendor@
666htmldir = @htmldir@
667includedir = @includedir@
668infodir = @infodir@
669install_sh = @install_sh@
670libdir = @libdir@
671libexecdir = @libexecdir@
672localedir = @localedir@
673localstatedir = @localstatedir@
674mandir = @mandir@
675mkdir_p = @mkdir_p@
676oldincludedir = @oldincludedir@
677pdfdir = @pdfdir@
678prefix = @prefix@
679program_transform_name = @program_transform_name@
680psdir = @psdir@
681sbindir = @sbindir@
682sharedstatedir = @sharedstatedir@
683srcdir = @srcdir@
684subdirs = @subdirs@
685sysconfdir = @sysconfdir@
686target_alias = @target_alias@
687top_build_prefix = @top_build_prefix@
688top_builddir = @top_builddir@
689top_srcdir = @top_srcdir@
690
691#AUTOMAKE_OPTIONS = foreign 1.9 subdir-objects
692NULL = 
693BUILT_SOURCES = $(srcdir)/run-sec-2853.c check-libntp check-libunity \
694	check-rc-cmdlength .deps-ver
695CLEANFILES = check-libntp check-libunity check-rc-cmdlength .deps-ver
696std_unity_list = \
697	$(top_srcdir)/sntp/unity/auto/generate_test_runner.rb	\
698	$(NULL)
699
700run_unity = cd $(srcdir) && ruby ../../sntp/unity/auto/generate_test_runner.rb
701
702# HMS: we may not need some of these:
703LDADD = \
704	$(top_builddir)/sntp/unity/libunity.a	\
705	$(top_builddir)/ntpd/rc_cmdlength.o	\
706	$(LDADD_LIBNTP)			\
707	$(PTHREAD_LIBS)			\
708	$(LDADD_NTP)			\
709	$(NULL)
710
711AM_CFLAGS = $(CFLAGS_NTP)
712
713# HMS: we may not need some of these:
714AM_CPPFLAGS = $(NTP_INCS) -I$(top_srcdir)/sntp/unity \
715	-I$(top_srcdir)/include $(CPPFLAGS_NTP) \
716	-DUNITY_INCLUDE_CONFIG_H -I$(top_srcdir)/sntp/unity
717AM_LDFLAGS = $(LDFLAGS_NTP)
718sec_2853_SOURCES = \
719	run-sec-2853.c			\
720	sec-2853.c			\
721	$(NULL)
722
723
724# HMS: we may not need some of these:
725#noinst_HEADERS =	ntpdtest.h	\
726#			$(NULL)
727TESTS = $(am__append_1)
728NTP_INCS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/isc/include \
729	-I$(top_srcdir)/lib/isc/$(LIBISC_PTHREADS_NOTHREADS)/include \
730	-I$(top_srcdir)/lib/isc/unix/include
731all: $(BUILT_SOURCES)
732	$(MAKE) $(AM_MAKEFLAGS) all-am
733
734.SUFFIXES:
735.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
736$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__configure_deps)
737	@for dep in $?; do \
738	  case '$(am__configure_deps)' in \
739	    *$$dep*) \
740	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
741	        && { if test -f $@; then exit 0; else break; fi; }; \
742	      exit 1;; \
743	  esac; \
744	done; \
745	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/sec-2853/Makefile'; \
746	$(am__cd) $(top_srcdir) && \
747	  $(AUTOMAKE) --foreign tests/sec-2853/Makefile
748Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
749	@case '$?' in \
750	  *config.status*) \
751	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
752	  *) \
753	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
754	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
755	esac;
756$(top_srcdir)/depsver.mf $(top_srcdir)/includes.mf $(am__empty):
757
758$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
759	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
760
761$(top_srcdir)/configure:  $(am__configure_deps)
762	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
763$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
764	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
765$(am__aclocal_m4_deps):
766
767clean-checkPROGRAMS:
768	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
769	echo " rm -f" $$list; \
770	rm -f $$list || exit $$?; \
771	test -n "$(EXEEXT)" || exit 0; \
772	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
773	echo " rm -f" $$list; \
774	rm -f $$list
775
776sec-2853$(EXEEXT): $(sec_2853_OBJECTS) $(sec_2853_DEPENDENCIES) $(EXTRA_sec_2853_DEPENDENCIES) 
777	@rm -f sec-2853$(EXEEXT)
778	$(AM_V_CCLD)$(LINK) $(sec_2853_OBJECTS) $(sec_2853_LDADD) $(LIBS)
779
780mostlyclean-compile:
781	-rm -f *.$(OBJEXT)
782
783distclean-compile:
784	-rm -f *.tab.c
785
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/run-sec-2853.Po@am__quote@
787@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sec-2853.Po@am__quote@
788
789.c.o:
790@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
791@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
792@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
793@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
795
796.c.obj:
797@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
798@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
799@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
800@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
802
803.c.lo:
804@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
805@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
806@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
807@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
809
810mostlyclean-libtool:
811	-rm -f *.lo
812
813clean-libtool:
814	-rm -rf .libs _libs
815
816ID: $(am__tagged_files)
817	$(am__define_uniq_tagged_files); mkid -fID $$unique
818tags: tags-am
819TAGS: tags
820
821tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
822	set x; \
823	here=`pwd`; \
824	$(am__define_uniq_tagged_files); \
825	shift; \
826	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
827	  test -n "$$unique" || unique=$$empty_fix; \
828	  if test $$# -gt 0; then \
829	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
830	      "$$@" $$unique; \
831	  else \
832	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
833	      $$unique; \
834	  fi; \
835	fi
836ctags: ctags-am
837
838CTAGS: ctags
839ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
840	$(am__define_uniq_tagged_files); \
841	test -z "$(CTAGS_ARGS)$$unique" \
842	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
843	     $$unique
844
845GTAGS:
846	here=`$(am__cd) $(top_builddir) && pwd` \
847	  && $(am__cd) $(top_srcdir) \
848	  && gtags -i $(GTAGS_ARGS) "$$here"
849cscopelist: cscopelist-am
850
851cscopelist-am: $(am__tagged_files)
852	list='$(am__tagged_files)'; \
853	case "$(srcdir)" in \
854	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
855	  *) sdir=$(subdir)/$(srcdir) ;; \
856	esac; \
857	for i in $$list; do \
858	  if test -f "$$i"; then \
859	    echo "$(subdir)/$$i"; \
860	  else \
861	    echo "$$sdir/$$i"; \
862	  fi; \
863	done >> $(top_builddir)/cscope.files
864
865distclean-tags:
866	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
867
868# Recover from deleted '.trs' file; this should ensure that
869# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
870# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
871# to avoid problems with "make -n".
872.log.trs:
873	rm -f $< $@
874	$(MAKE) $(AM_MAKEFLAGS) $<
875
876# Leading 'am--fnord' is there to ensure the list of targets does not
877# expand to empty, as could happen e.g. with make check TESTS=''.
878am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
879am--force-recheck:
880	@:
881
882$(TEST_SUITE_LOG): $(TEST_LOGS)
883	@$(am__set_TESTS_bases); \
884	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
885	redo_bases=`for i in $$bases; do \
886	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
887	            done`; \
888	if test -n "$$redo_bases"; then \
889	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
890	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
891	  if $(am__make_dryrun); then :; else \
892	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
893	  fi; \
894	fi; \
895	if test -n "$$am__remaking_logs"; then \
896	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
897	       "recursion detected" >&2; \
898	elif test -n "$$redo_logs"; then \
899	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
900	fi; \
901	if $(am__make_dryrun); then :; else \
902	  st=0;  \
903	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
904	  for i in $$redo_bases; do \
905	    test -f $$i.trs && test -r $$i.trs \
906	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
907	    test -f $$i.log && test -r $$i.log \
908	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
909	  done; \
910	  test $$st -eq 0 || exit 1; \
911	fi
912	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
913	ws='[ 	]'; \
914	results=`for b in $$bases; do echo $$b.trs; done`; \
915	test -n "$$results" || results=/dev/null; \
916	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
917	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
918	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
919	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
920	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
921	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
922	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
923	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
924	  success=true; \
925	else \
926	  success=false; \
927	fi; \
928	br='==================='; br=$$br$$br$$br$$br; \
929	result_count () \
930	{ \
931	    if test x"$$1" = x"--maybe-color"; then \
932	      maybe_colorize=yes; \
933	    elif test x"$$1" = x"--no-color"; then \
934	      maybe_colorize=no; \
935	    else \
936	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
937	    fi; \
938	    shift; \
939	    desc=$$1 count=$$2; \
940	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
941	      color_start=$$3 color_end=$$std; \
942	    else \
943	      color_start= color_end=; \
944	    fi; \
945	    echo "$${color_start}# $$desc $$count$${color_end}"; \
946	}; \
947	create_testsuite_report () \
948	{ \
949	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
950	  result_count $$1 "PASS: " $$pass  "$$grn"; \
951	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
952	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
953	  result_count $$1 "FAIL: " $$fail  "$$red"; \
954	  result_count $$1 "XPASS:" $$xpass "$$red"; \
955	  result_count $$1 "ERROR:" $$error "$$mgn"; \
956	}; \
957	{								\
958	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
959	    $(am__rst_title);						\
960	  create_testsuite_report --no-color;				\
961	  echo;								\
962	  echo ".. contents:: :depth: 2";				\
963	  echo;								\
964	  for b in $$bases; do echo $$b; done				\
965	    | $(am__create_global_log);					\
966	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
967	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
968	if $$success; then						\
969	  col="$$grn";							\
970	 else								\
971	  col="$$red";							\
972	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
973	fi;								\
974	echo "$${col}$$br$${std}"; 					\
975	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
976	echo "$${col}$$br$${std}"; 					\
977	create_testsuite_report --maybe-color;				\
978	echo "$$col$$br$$std";						\
979	if $$success; then :; else					\
980	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
981	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
982	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
983	  fi;								\
984	  echo "$$col$$br$$std";					\
985	fi;								\
986	$$success || exit 1
987
988check-TESTS:
989	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
990	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
991	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
992	@set +e; $(am__set_TESTS_bases); \
993	log_list=`for i in $$bases; do echo $$i.log; done`; \
994	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
995	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
996	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
997	exit $$?;
998recheck: all $(check_PROGRAMS)
999	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1000	@set +e; $(am__set_TESTS_bases); \
1001	bases=`for i in $$bases; do echo $$i; done \
1002	         | $(am__list_recheck_tests)` || exit 1; \
1003	log_list=`for i in $$bases; do echo $$i.log; done`; \
1004	log_list=`echo $$log_list`; \
1005	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1006	        am__force_recheck=am--force-recheck \
1007	        TEST_LOGS="$$log_list"; \
1008	exit $$?
1009sec-2853.log: sec-2853$(EXEEXT)
1010	@p='sec-2853$(EXEEXT)'; \
1011	b='sec-2853'; \
1012	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1013	--log-file $$b.log --trs-file $$b.trs \
1014	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1015	"$$tst" $(AM_TESTS_FD_REDIRECT)
1016.test.log:
1017	@p='$<'; \
1018	$(am__set_b); \
1019	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1020	--log-file $$b.log --trs-file $$b.trs \
1021	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1022	"$$tst" $(AM_TESTS_FD_REDIRECT)
1023@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1024@am__EXEEXT_TRUE@	@p='$<'; \
1025@am__EXEEXT_TRUE@	$(am__set_b); \
1026@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1027@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1028@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1029@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1030
1031distdir: $(DISTFILES)
1032	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1033	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1034	list='$(DISTFILES)'; \
1035	  dist_files=`for file in $$list; do echo $$file; done | \
1036	  sed -e "s|^$$srcdirstrip/||;t" \
1037	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1038	case $$dist_files in \
1039	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1040			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1041			   sort -u` ;; \
1042	esac; \
1043	for file in $$dist_files; do \
1044	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1045	  if test -d $$d/$$file; then \
1046	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1047	    if test -d "$(distdir)/$$file"; then \
1048	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049	    fi; \
1050	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1051	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1052	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1053	    fi; \
1054	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1055	  else \
1056	    test -f "$(distdir)/$$file" \
1057	    || cp -p $$d/$$file "$(distdir)/$$file" \
1058	    || exit 1; \
1059	  fi; \
1060	done
1061check-am: all-am
1062	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1063	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1064check: $(BUILT_SOURCES)
1065	$(MAKE) $(AM_MAKEFLAGS) check-am
1066all-am: Makefile
1067installdirs:
1068install: $(BUILT_SOURCES)
1069	$(MAKE) $(AM_MAKEFLAGS) install-am
1070install-exec: install-exec-am
1071install-data: install-data-am
1072uninstall: uninstall-am
1073
1074install-am: all-am
1075	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1076
1077installcheck: installcheck-am
1078install-strip:
1079	if test -z '$(STRIP)'; then \
1080	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1081	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1082	      install; \
1083	else \
1084	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1085	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1086	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1087	fi
1088mostlyclean-generic:
1089	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1090	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1091	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1092
1093clean-generic:
1094	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1095
1096distclean-generic:
1097	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1098	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1099
1100maintainer-clean-generic:
1101	@echo "This command is intended for maintainers to use"
1102	@echo "it deletes files that may require special tools to rebuild."
1103	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1104clean: clean-am
1105
1106clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1107	mostlyclean-am
1108
1109distclean: distclean-am
1110	-rm -rf ./$(DEPDIR)
1111	-rm -f Makefile
1112distclean-am: clean-am distclean-compile distclean-generic \
1113	distclean-tags
1114
1115dvi: dvi-am
1116
1117dvi-am:
1118
1119html: html-am
1120
1121html-am:
1122
1123info: info-am
1124
1125info-am:
1126
1127install-data-am:
1128
1129install-dvi: install-dvi-am
1130
1131install-dvi-am:
1132
1133install-exec-am:
1134
1135install-html: install-html-am
1136
1137install-html-am:
1138
1139install-info: install-info-am
1140
1141install-info-am:
1142
1143install-man:
1144
1145install-pdf: install-pdf-am
1146
1147install-pdf-am:
1148
1149install-ps: install-ps-am
1150
1151install-ps-am:
1152
1153installcheck-am:
1154
1155maintainer-clean: maintainer-clean-am
1156	-rm -rf ./$(DEPDIR)
1157	-rm -f Makefile
1158maintainer-clean-am: distclean-am maintainer-clean-generic
1159
1160mostlyclean: mostlyclean-am
1161
1162mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1163	mostlyclean-libtool
1164
1165pdf: pdf-am
1166
1167pdf-am:
1168
1169ps: ps-am
1170
1171ps-am:
1172
1173uninstall-am:
1174
1175.MAKE: all check check-am install install-am install-strip
1176
1177.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1178	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1179	ctags ctags-am distclean distclean-compile distclean-generic \
1180	distclean-libtool distclean-tags distdir dvi dvi-am html \
1181	html-am info info-am install install-am install-data \
1182	install-data-am install-dvi install-dvi-am install-exec \
1183	install-exec-am install-html install-html-am install-info \
1184	install-info-am install-man install-pdf install-pdf-am \
1185	install-ps install-ps-am install-strip installcheck \
1186	installcheck-am installdirs maintainer-clean \
1187	maintainer-clean-generic mostlyclean mostlyclean-compile \
1188	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1189	recheck tags tags-am uninstall uninstall-am
1190
1191.PRECIOUS: Makefile
1192
1193
1194$(srcdir)/run-sec-2853.c: $(srcdir)/sec-2853.c $(std_unity_list)
1195	$(run_unity) sec-2853.c run-sec-2853.c
1196
1197check-libntp: ../../libntp/libntp.a
1198	@echo stamp > $@
1199
1200../../libntp/libntp.a:
1201	cd ../../libntp && $(MAKE) $(AM_MAKEFLAGS) libntp.a
1202
1203check-libunity: ../../sntp/unity/libunity.a
1204	@echo stamp > $@
1205
1206../../sntp/unity/libunity.a:
1207	cd ../../libunity && $(MAKE) $(AM_MAKEFLAGS) libunity.a
1208
1209check-rc-cmdlength: ../../ntpd/rc_cmdlength.o
1210	@echo stamp > $@
1211
1212../../ntpd/rc_cmdlength.o:
1213	cd ../../ntpd && $(MAKE) $(AM_MAKEFLAGS) rc_cmdlength.o
1214$(DEPDIR)/deps-ver: $(top_srcdir)/deps-ver
1215	@[ -f $@ ] ||							\
1216		cp $(top_srcdir)/deps-ver $@
1217	@[ -w $@ ] ||							\
1218		chmod ug+w $@
1219	@cmp $(top_srcdir)/deps-ver $@ > /dev/null || (			\
1220		$(MAKE) $(AM_MAKEFLAGS) clean &&					\
1221		echo -n "Prior $(subdir)/$(DEPDIR) version " &&		\
1222		cat $@ &&						\
1223		rm -rf $(DEPDIR) &&					\
1224		mkdir $(DEPDIR) && 					\
1225		case "$(top_builddir)" in				\
1226		 .)							\
1227		    ./config.status Makefile depfiles			\
1228		    ;;							\
1229		 *)							\
1230		    cd "$(top_builddir)" &&				\
1231		    ./config.status $(subdir)/Makefile depfiles &&	\
1232		    cd $(subdir)					\
1233		    ;;							\
1234		esac &&							\
1235		echo -n "Cleaned $(subdir)/$(DEPDIR) version " &&	\
1236		cat $(top_srcdir)/deps-ver				\
1237	)
1238	cp $(top_srcdir)/deps-ver $@
1239
1240.deps-ver: $(top_srcdir)/deps-ver
1241	@[ ! -d $(DEPDIR) ] || $(MAKE) $(AM_MAKEFLAGS) $(DEPDIR)/deps-ver
1242	@touch $@
1243
1244#
1245# depsver.mf	included in Makefile.am for directories with .deps
1246#
1247# When building in the same directory with sources that change over
1248# time, such as when tracking using bk, the .deps files can become
1249# stale with respect to moved, deleted, or superceded headers.  Most
1250# commonly, this would exhibit as make reporting a failure to make a
1251# header file which is no longer in the location given.  To address
1252# this issue, we use a deps-ver file which is updated with each change
1253# that breaks old .deps files.  A copy of deps-ver is made into
1254# $(DEPDIR) if not already present.  If $(DEPDIR)/deps-ver is present
1255# with different contents than deps-ver, we make clean to ensure all
1256# .o files built before the incompatible change are rebuilt along with
1257# their updated .deps files, then remove $(DEPDIR) and recreate it as
1258# empty stubs.
1259#
1260# It is normal when configured with --disable-dependency-tracking for
1261# the DEPDIR to not have been created.  For this reason, we use the
1262# intermediate target .deps-ver, which invokes make recursively if
1263# DEPDIR exists.
1264#
1265# If you modify depsver.mf, please make the changes to the master
1266# copy, the one in sntp is copied by the bootstrap script from it.
1267#
1268# This comment block follows rather than leads the related code so that
1269# it stays with it in the generated Makefile.in and Makefile.
1270#
1271
1272# Tell versions [3.59,3.63) of GNU make to not export all variables.
1273# Otherwise a system limit (for SysV at least) may be exceeded.
1274.NOEXPORT:
1275